{$D+}

unit	TheAll;

interface

uses	Objects;

type

	TBList = array [0..3] of record
			 CDay	: Byte;
			 Summa	: Real;
		 end;

	TSVsub = record
		AllAdd	: Real;
		Kassa	: Real;
		Akkerd	: Real;
		PDnal	: Real;
		IspList	: Real;
		GostStr	: Real;
		Depon	: Real;
		Ssyda	: Real;
		Perev	: Real;
		Pogash	: Real;
		DSad	: Real;
		Pitan	: Real;
		Prof	: Real;
		Post	: Real;
		AllSub	: Real;
		OstEnd	: record
					Rb	: Real;
					Pr	: Real;
				end;
	end;

	TWorksByKat = record
		ITR		: Real;
		Slug	: Real;
		Work	: Real;
		MOP		: Real;
		SlItr	: Real;
		NpWork	: Real;
		Prot	: Real;
		All		: Real;
	end;

	TFond = record
		Data	: TWorksByKat;
	end;

	TChisl = record
		Data	: TWorksByKat;
	end;

	TSVadd = record
		ByTime	: TWorksByKat;
		UniProf	: TWorksByKat;
		ByClass	: TWorksByKat;
		ByNNorm	: TWorksByKat;
		HiGor	: TWorksByKat;
		Raion	: TWorksByKat;
		Otpusk	: TWorksByKat;
		Dop		: TWorksByKat;
		AllFzp	: TWorksByKat;
		SStrax	: TWorksByKat;
		PolDov	: TWorksByKat;
		Total	: TWorksByKat;
	end;

	TAll = object (TObject)
		Modif	: Boolean;
		Data	: array [0..11 + 4] of
			record
				Fond	: TFond;
				Sub		: TSVsub;
				Add		: TSVadd;
				Chisl	: TChisl;
				BList	: TBlist;
			end;
		constructor	Load (Var S : TStream);
		procedure	Store (Var S : TStream);
        procedure	Recalc (Var C : TCollection);
	end;

implementation

constructor TAll.Load (Var S : TStream);
	begin
		TObject.Init;
		S.Read (Modif, SizeOf (Modif) + SizeOf (Data));
	end;

procedure TAll.Recalc (Var C : TCollection);
          begin
          end;

procedure TAll.Store (Var S : TStream);
	begin
		S.Write (Modif, SizeOf (Modif) + SizeOf (Data));
	end;
end.