{$S-,D+,A-,F-,G-,R-}

program ZarDesk;

uses	XCpu, Overlay, LCR, Drivers, Zar, Other;

{$O Dos}
{$O Menus}
{$O StdDlg}
{$O Calc}
{$O Cale}
{$O HelpFile}
{$O FileServ}
{$O DataServ}
{$O CharLog}
{$O Zar}
{$O Other}
{$O WorkMain}
{$O Workinfo}
{$O WorkTab}
{$O WorkRez}
{$O WorkFond}
{$O WorkChisl}
{$O WorkBlis}
{$O WorkAdd}
{$O WorkSub}
{$O TabView}
{$O SmartDra}
{$O DNew}
{$O DView}
{$O Otdel}
{$O Person}
{$O TheAll}
{$O OtdView}
{$O GadGets}
{$O Dialogs}
{$O MsgBox}

{$O App}
{$O Views}
{$O Objects}
{$O Memory}

const
	OverlayBuffer = 85 * 1024;

var
	Desk	: TZar;


procedure OvrMessage; near;
	begin
		case OvrResult of
			ovrError:	PrintStr ('Overlay manager init failed');
			ovrNotFound:PrintStr ('Overlay file not found');
			ovrNoMemory:PrintStr ('Not enough memory');
			ovrIOError:	PrintStr ('Overlay file I/O error');
		else
			Exit;
		end;
		PrintStr (', program aborted.'#13#10);
		Halt (3);
	end;

procedure ByExit; far;
	const
		IsDo : Boolean = False;
	begin
		if not IsDo then
			begin
				IsDo := True;
				Desk.Kill;
			end;
	end;

begin
	TestCPU (#13#10'ZarDesk 286, Beta version 0.5/CyrVision 2.0, (C) Leonid Youriev 1993'#13#10, 2);
{$IFDEF Make}
	OvrInit (ParamStr(0));
{$ELSE}
	OvrInit ('\TP\OUT2\MAIN.OVR');
{$ENDIF}
	OvrMessage;
	OvrInitEMS;
	if OvrResult = ovrOk then
		PrintStr ('Loading overlays in EMS...'#13#10)
	else
		if OvrResult = ovrNoEMSDriver then
			PrintStr ('Not found EMS driver.'#13#10);
	OvrSetBuf (OverlayBuffer);
	OvrMessage;
	if MaxAvail < 16384 then
		begin
			OvrResult := ovrNoMemory;
			OvrMessage;
		end;
	Desk.Init;
{$IFDEF Make}
	ExitProc := @ByExit;
{$ENDIF}
	Desk.Run;
	SaveDesktop;
{$IFDEF Make}
	Halt (0);
{$ELSE}
	Desk.Done;
{$ENDIF}
end.
