{Copyright by Leonid Youriev, 1993, os@imfiko.bishkek.su}
{$I VERSION}

unit Quick;

interface

{$I VERSION}

function SignLong (L : Longint) : Integer;
inline (
	$5A/	{	POP		DX		}
	$58/	{	POP		AX		}
	$85/$C0/{	TEST	AX, AX	}
	$75/$05/{	JNE		@1		}
	$85/$D2/{	TEST	DX, DX	}
	$74/$01/{	JE		@1		}
	$40		{	INC		AX		}
	);		{	@1:				}

function Max (A, B : Integer) : Integer;
inline (
	$58/	{	POP		AX		}
	$5B/	{	POP		BX		}
	$3B/$C3/{	CMP		AX, BX	}
	$7F/$01/{	JG		@1		}
	$93		{	XCHG	AX, BX	}
	);		{	@1:				}

function Min (A, B : Integer) : Integer;
inline (
	$58/	{	POP		AX		}
	$5B/	{	POP		BX		}
	$3B/$C3/{	CMP		AX, BX	}
	$7C/$01/{	JL		@1		}
	$93		{	XCHG	AX, BX	}
	);		{	@1:				}

function MaxWord (A, B : Word) : Word;
inline (
	$58/	{	POP		AX		}
	$5B/	{	POP		BX		}
	$3B/$C3/{	CMP		AX, BX	}
	$77/$01/{	JA		@1		}
	$93		{	XCHG	AX, BX	}
	);		{	@1:				}

function MinWord (A, B : Word) : Word;
inline (
	$58/	{	POP		AX		}
	$5B/	{	POP		BX		}
	$3B/$C3/{	CMP		AX, BX	}
	$72/$01/{	JB		@1		}
	$93		{	XCHG	AX, BX	}
	);		{	@1:				}

function Range (Val, Min, Max : Integer) : Integer;
inline (
	$59/	{	POP		CX		}
	$58/	{	POP		AX		}
	$5A/	{	POP		DX		}
	$3B/$C2/{	CMP		AX, DX	}
	$7D/$06/{	JGE		@1		}
	$92/	{	XCHG	AX, DX	}
	$3B/$C1/{	CMP		AX, CX	}
	$7C/$01/{	JL		@1		}
	$91		{	XCHG	AX, CX	}
	);		{	@1:				}

function RangeWord (Val, Min, Max : Word) : Word;
inline (
	$59/	{	POP		CX		}
	$58/	{	POP		AX		}
	$5A/	{	POP		DX		}
	$3B/$C2/{	CMP		AX, DX	}
	$73/$06/{	JAE		@1		}
	$92/	{	XCHG	AX, DX	}
	$3B/$C1/{	CMP		AX, CX	}
	$72/$01/{	JB		@1		}
	$91		{	XCHG	AX, CX	}
	);		{	@1:				}

function LongMul (X, Y : Integer) : Longint;
inline (
	$5A/	{	POP		DX		}
	$58/	{	POP		AX		}
	$F7/$EA	{	IMUL	DX		}
	);

function LongDiv (X : Longint; Y : Integer) : Integer;
inline (
	$59/	{	POP		CX		}
	$58/	{	POP		AX		}
	$5A/	{	POP		DX		}
	$F7/$F9	{	IDIV	CX		}
	);

function LongUMul (X, Y : Word) : Longint;
inline (
	$5A/	{	POP		DX		}
	$58/	{	POP		AX		}
	$F7/$E2	{	MUL		DX		}
	);

function LongUDiv (X : Longint; Y : Word) : Word;
inline (
	$59/	{	POP		CX		}
	$58/	{	POP		AX		}
	$5A/	{	POP		DX		}
	$F7/$F1	{	DIV		CX		}
	);

procedure _FillChar (Var Dest; Count : Word; The : Byte);
inline (
	$58/	{	POP		AX		}
	$59/	{   POP		CX		}
	$5F/	{	POP		DI		}
	$07/	{	POP		ES		}
	$FC/	{	CLD				}
	$F3/$AA	{	REP		STOSB	}
	);

procedure _FillWord (Var Dest; Count : Word; The : Byte);
inline (
	$58/	{	POP		AX		}
	$59/	{   POP		CX		}
	$5F/	{	POP		DI		}
	$07/	{	POP		ES		}
	$FC/	{	CLD				}
	$F3/$AB	{	REP		STOSW	}
	);

procedure Clear (Var Dest; Count : Word);
inline (
	$33/$C0/{	XOR		AX, AX	}
	$59/	{   POP		CX		}
	$5F/	{	POP		DI		}
	$07/	{	POP		ES		}
	$FC/	{	CLD				}
	$F3/$AA	{	REP		STOSB	}
	);

procedure ClearByWord (Var Dest; Count : Word);
inline (
	$33/$C0/{	XOR		AX, AX	}
	$59/	{   POP		CX		}
	$5F/	{	POP		DI		}
	$07/	{	POP		ES		}
	$FC/	{	CLD				}
	$F3/$AB	{	REP		STOSW	}
	);

function RangeInc (Val, Max : Integer) : Integer;
function RangeDec (Val, Max : Integer) : Integer;

function NormPtr (P : Pointer) : Pointer;
function ComparePtr (P1, P2 : Pointer) : Integer;

implementation

function NormPtr (P : Pointer) : Pointer; assembler;
asm
	MOV		CL, 4
	MOV		AX, WORD PTR P
	MOV		DX, AX
	SHR		DX, CL
	ADD		DX, WORD PTR P + 2
	AND		AX, 000FH
end;

function ComparePtr (P1, P2 : Pointer) : Integer;
begin
{$R-}
	ComparePtr := SignLong (Longint (NormPtr (P1)) - Longint (NormPtr (P2)));
end;

function RangeInc (Val, Max : Integer) : Integer; assembler;
asm
	MOV		AX, Val
	INC		AX
	CMP		AX, Max
	JB		@1
	XOR		AX, AX
@1:
end;

function RangeDec (Val, Max : Integer) : Integer; assembler;
asm
	MOV		AX, Val
	DEC		AX
	JNS		@1
	MOV		AX, Max
	DEC		AX
@1:
end;
end.